# Created by pyp2rpm-1.0.1
%global pypi_name gevent-socketio

Name:           python-gevent-socketio
Version:        0.3.6
Release:        %mkrel 6
Group:          Development/Python
Summary:        SocketIO server based on the Gevent pywsgi server, a Python network library

License:        BSD
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(sphinx)
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(sphinx)


%description
``gevent-socketio`` is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.


%package -n     python3-%{pypi_name}
Summary:        SocketIO server based on the Gevent pywsgi server, a Python3 network library
Group:          Development/Python

%description -n python3-%{pypi_name}
``gevent-socketio`` is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
2to3 -n -w %{py3dir}
# generate html docs 
sphinx-build-%{python3_version} docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc html README.rst LICENSE
%{python2_sitelib}/socketio
%{python2_sitelib}/gevent_socketio-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc html README.rst LICENSE
%{python3_sitelib}/socketio
%{python3_sitelib}/gevent_socketio-%{version}-py?.?.egg-info


%changelog
* Mon Feb 08 2016 daviddavid <daviddavid> 0.3.6-6.mga6
+ Revision: 944210
- fix python3 version from sphinx-build-3.x command
- use new python macros

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + joequant <joequant>
    - python3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 743952
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.6-3.mga5
+ Revision: 728542
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-2.mga5
+ Revision: 688048
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 joequant <joequant> 0.3.6-1.mga5
+ Revision: 653247
- imported package python-gevent-socketio

